<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.clock.mapper.ActivityProductMapper">

    <resultMap type="com.ruoyi.clock.domain.ActivityProduct" id="ActivityProductResult">
        <result property="id" column="id"/>
        <result property="activityId" column="activity_id"/>
        <result property="productName" column="product_name"/>
    </resultMap>
    <select id="selectProductList" resultType="com.ruoyi.clock.domain.vo.ProductVo">
        select
            aa.*
        from tb_activity_product aa
        where aa.activity_id = #{activityId}
    </select>
</mapper>
